Package com.avaya.clientservices.provider.certificate

## Enum CertificateValidationResult

- java.lang.Object
- - java.lang.Enum<CertificateValidationResult>
  - - com.avaya.clientservices.provider.certificate.CertificateValidationResult

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CertificateValidationResult>`

      public enum CertificateValidationResult
      extends java.lang.Enum<CertificateValidationResult>

  Certificate trust validation result codes. These error codes are reported as part of `CertificateValidationException` delivered to application via `CertificateValidationCompletionHandler`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CERT_VALIDATION_ERR_CERT_ENCODING` | One or more certificates in the certificate chain are not correctly encoded.
    `CERT_VALIDATION_ERR_CERT_PARSING_FAILURE` | One or more certificates in the certificate chain cannot be parsed successfully to continue validation.
    `CERT_VALIDATION_ERR_EXPIRED` | One or more certificates in the chain are expired.
    `CERT_VALIDATION_ERR_INTERNAL_ERROR` | Certificate validation is failed due to system API error.
    `CERT_VALIDATION_ERR_INVALID_ASYMMETRIC_ENCRYPTION_ALGORITHM` | Asymmetric encryption algorithm is unsupported or it is disabled in security policy.
    `CERT_VALIDATION_ERR_INVALID_DIGEST_ALGORITHM` | Digest algorithm is unsupported or it is disabled in security policy.
    `CERT_VALIDATION_ERR_INVALID_EXTENSION` | One of the certificate in the chain has extension which is not valid.
    `CERT_VALIDATION_ERR_INVALID_SERVER_IDENTITY` | Certificate or certificate chain cannot be trusted because an expected hostname is not found in the certificate causing Hostname (server identity) validation failure.
    `CERT_VALIDATION_ERR_INVALID_SERVICE_DOMAIN_IDENTITY` | Certificate or certificate chain cannot be trusted because an expected "service" identity is not found in the certificate causing Hostname (server identity) validation failure.
    `CERT_VALIDATION_ERR_KEY_LENGTH_TOO_SMALL` | Key length is too small to be acceptable for current security policy.
    `CERT_VALIDATION_ERR_NOT_VALID_FOR_USAGE` | Certificate or certificate chain is not valid for its intended usage.
    `CERT_VALIDATION_ERR_NOT_YET_VALID` | One or more certificates in the chain are to be used in the future as they are not valid now.
    `CERT_VALIDATION_ERR_PRIVATE_TRUST_STORE_ERROR` | Certificate validation failed because private trust store has not been created and security policy has configured to use private trust store for certificate validations only.
    `CERT_VALIDATION_ERR_UNTRUSTED` | Certificate or one of the certificate in the chain is untrusted.
    `CERT_VALIDATION_ERR_UNTRUSTED_ROOT` | Root or Intermediate certificates that forms a complete certificate chain cannot be trusted or they are marked as "untrusted".
    `CERT_VALIDATION_TRUSTED` | Certificate chain is trusted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CertificateValidationResult` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CertificateValidationResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CERT_VALIDATION_ERR_UNTRUSTED

          public static final CertificateValidationResult CERT_VALIDATION_ERR_UNTRUSTED

      Certificate or one of the certificate in the chain is untrusted. This is a generic error.

    - #### CERT_VALIDATION_TRUSTED

          public static final CertificateValidationResult CERT_VALIDATION_TRUSTED

      Certificate chain is trusted. The client application can continue establishing a secure connection.

    - #### CERT_VALIDATION_ERR_EXPIRED

          public static final CertificateValidationResult CERT_VALIDATION_ERR_EXPIRED

      One or more certificates in the chain are expired.

    - #### CERT_VALIDATION_ERR_NOT_YET_VALID

          public static final CertificateValidationResult CERT_VALIDATION_ERR_NOT_YET_VALID

      One or more certificates in the chain are to be used in the future as they are not valid now.

    - #### CERT_VALIDATION_ERR_UNTRUSTED_ROOT

          public static final CertificateValidationResult CERT_VALIDATION_ERR_UNTRUSTED_ROOT

      Root or Intermediate certificates that forms a complete certificate chain cannot be trusted or they are marked as "untrusted".

    - #### CERT_VALIDATION_ERR_NOT_VALID_FOR_USAGE

          public static final CertificateValidationResult CERT_VALIDATION_ERR_NOT_VALID_FOR_USAGE

      Certificate or certificate chain is not valid for its intended usage.

    - #### CERT_VALIDATION_ERR_INVALID_EXTENSION

          public static final CertificateValidationResult CERT_VALIDATION_ERR_INVALID_EXTENSION

      One of the certificate in the chain has extension which is not valid.

    - #### CERT_VALIDATION_ERR_INVALID_SERVER_IDENTITY

          public static final CertificateValidationResult CERT_VALIDATION_ERR_INVALID_SERVER_IDENTITY

      Certificate or certificate chain cannot be trusted because an expected hostname is not found in the certificate causing Hostname (server identity) validation failure.

    - #### CERT_VALIDATION_ERR_INVALID_SERVICE_DOMAIN_IDENTITY

          public static final CertificateValidationResult CERT_VALIDATION_ERR_INVALID_SERVICE_DOMAIN_IDENTITY

      Certificate or certificate chain cannot be trusted because an expected "service" identity is not found in the certificate causing Hostname (server identity) validation failure.

    - #### CERT_VALIDATION_ERR_INTERNAL_ERROR

          public static final CertificateValidationResult CERT_VALIDATION_ERR_INTERNAL_ERROR

      Certificate validation is failed due to system API error.

    - #### CERT_VALIDATION_ERR_CERT_ENCODING

          public static final CertificateValidationResult CERT_VALIDATION_ERR_CERT_ENCODING

      One or more certificates in the certificate chain are not correctly encoded.

    - #### CERT_VALIDATION_ERR_CERT_PARSING_FAILURE

          public static final CertificateValidationResult CERT_VALIDATION_ERR_CERT_PARSING_FAILURE

      One or more certificates in the certificate chain cannot be parsed successfully to continue validation.

    - #### CERT_VALIDATION_ERR_PRIVATE_TRUST_STORE_ERROR

          public static final CertificateValidationResult CERT_VALIDATION_ERR_PRIVATE_TRUST_STORE_ERROR

      Certificate validation failed because private trust store has not been created and security policy has configured to use private trust store for certificate validations only.

    - #### CERT_VALIDATION_ERR_KEY_LENGTH_TOO_SMALL

          public static final CertificateValidationResult CERT_VALIDATION_ERR_KEY_LENGTH_TOO_SMALL

      Key length is too small to be acceptable for current security policy.

    - #### CERT_VALIDATION_ERR_INVALID_ASYMMETRIC_ENCRYPTION_ALGORITHM

          public static final CertificateValidationResult CERT_VALIDATION_ERR_INVALID_ASYMMETRIC_ENCRYPTION_ALGORITHM

      Asymmetric encryption algorithm is unsupported or it is disabled in security policy.

    - #### CERT_VALIDATION_ERR_INVALID_DIGEST_ALGORITHM

          public static final CertificateValidationResult CERT_VALIDATION_ERR_INVALID_DIGEST_ALGORITHM

      Digest algorithm is unsupported or it is disabled in security policy.

  - ### Method Detail

    - #### values

          public static CertificateValidationResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertificateValidationResult c : CertificateValidationResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertificateValidationResult valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null